org.eclipse.emf.cdo.common

## Interface CDOCommonSession

- All Superinterfaces:
    Closeable, IAdaptable, IOptionsContainer, IPropertiesContainer, IUserAware
  All Known Subinterfaces:
    CDONet4jSession, CDOSession, CDOSession, InternalCDOSession, InternalSession, ISession

      public interface CDOCommonSession
      extends IAdaptable, IUserAware, IOptionsContainer, IPropertiesContainer, Closeable

  Abstracts the information about CDO sessions that is common to both client and server side.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
  Apiviz
    `CDOCommonSession.Options`
  Apiviz
    `CDOCommonRepository` - - connectsTo
  Apiviz
    `CDOCommonView` - - views

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOCommonSession.Options` Encapsulates the configuration options of CDO sessions that are common to both client and server side.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSessionID()`
    `CDOCommonView` | `getView(int viewID)`
    `CDOCommonView[]` | `getViews()`
    `CDOCommonSession.Options` | `options()` Returns the `options` of this session.

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getSessionID

          int getSessionID()

    - #### getViews

          CDOCommonView[] getViews()

    - #### getView

          CDOCommonView getView(int viewID)

    - #### options

          CDOCommonSession.Options options()

      Returns the `options` of this session.
      Specified by:
        `options` in interface `IOptionsContainer`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html